Este test reúne 15 preguntas sobre criptografía, infraestructura de clave pública (PKI), certificados digitales y firma electrónica, para quien prepara Técnico de Sistemas TI del SERGAS. Mezcla normativa (Ley 6/2020, eIDAS, Ley 39/2015, ENS) y estándares técnicos (RFC 5280, 6960, 3161 y 3602). Para repasar antes la teoría: PKI y certificados X.509 y criptografía simétrica y asimétrica.

Lo que tienes que saber antes de empezar

  • La firma cualificada es una firma avanzada creada con un dispositivo cualificado y un certificado cualificado; equivale a la manuscrita (eIDAS, arts. 3.12 y 25.2).
  • Los certificados se extinguen por caducidad o revocación; los cualificados duran como máximo cinco años (Ley 6/2020, art. 4).
  • El prestador cualificado conserva la información 15 años y, salvo que sea del sector público, contrata un seguro de responsabilidad civil (Ley 6/2020, art. 9.3).
  • La revocación se consulta con una CRL (lista firmada) o con OCSP (consulta en línea).
  • El sello de tiempo (RFC 3161) prueba que un dato existía en un instante sin enviar el dato, solo su resumen.
ElementoQué aportaFuente
Firma avanzadaVinculada al firmante; detecta cambioseIDAS, art. 26
Firma cualificadaAvanzada + dispositivo y certificado cualificadoseIDAS, art. 3.12
CRL / OCSPEstado de revocaciónRFC 5280 / 6960
Sello de tiempoExistencia de un dato en un instanteRFC 3161

Test de criptografía, PKI y firma electrónica

El examen de TI de la OPE 2025, resuelto
Las preguntas reales con la plantilla provisional y su explicación, gratis con una cuenta.
Ver el examen resuelto →
  1. ¿Qué vigencia máxima tienen los certificados cualificados según la Ley 6/2020?

    A) Dos años, ampliables a tres

    B) Tres años desde la emisión

    C) Cinco años

    D) Diez años en todo caso

  2. ¿Qué seguro de responsabilidad civil mínimo debe constituir un prestador cualificado privado que presta un único servicio cualificado?

    A) 500.000 euros por cada servicio

    B) 1.500.000 euros

    C) 3.000.000 de euros en total

    D) 1.000.000 de euros en total

  3. ¿Cuánto tiempo conserva el prestador cualificado la información sobre los servicios prestados?

    A) Cinco años desde la emisión del certificado al titular

    B) Diez años desde la solicitud del certificado por el titular

    C) Veinte años desde la identificación presencial del titular

    D) Quince años desde la extinción del certificado o servicio

  4. Salvo que los gestione en nombre del titular, ¿qué no puede hacer el prestador con los datos de creación de firma?

    A) Almacenarlos ni copiarlos

    B) Generarlos en un dispositivo seguro

    C) Informar al titular sobre su uso

    D) Protegerlos con un procedimiento técnico

  5. Según el Reglamento eIDAS, ¿qué efecto tiene una firma electrónica cualificada?

    A) Solo vale si se ratifica ante notario

    B) Equivale a una firma manuscrita

    C) Solo sirve para identificar, no para firmar

    D) Exige siempre un sello de tiempo cualificado

  6. ¿Qué distingue a la firma cualificada de la avanzada?

    A) Sustituye la clave privada por una clave simétrica compartida con el prestador

    B) Elimina la necesidad de que el firmante controle sus datos de creación

    C) Se crea con un dispositivo cualificado y un certificado cualificado

    D) Solo puede emitirla un organismo del sector público de la Unión Europea

  7. ¿Cuál NO es un requisito de la firma avanzada (art. 26 eIDAS)?

    A) Haberse creado con un dispositivo cualificado de creación de firmas

    B) Estar vinculada al firmante de manera única

    C) Permitir identificar al firmante de la firma

    D) Permitir detectar cualquier modificación posterior de los datos

  8. Según el art. 10.2.a) de la Ley 39/2015, ¿qué sistemas de firma son válidos ante las Administraciones públicas?

    A) Solo la firma reconocida regulada en la Ley 59/2003 de firma electrónica

    B) Cualquier usuario y contraseña, sin registro previo ni comunicación

    C) Solo la firma manuscrita escaneada y acompañada de copia del DNI

    D) Firma cualificada y avanzada con certificado cualificado de la lista de confianza

  9. Un certificado X.509 v3 no tiene asertado el campo cA de basicConstraints. ¿Qué ocurre con su clave pública?

    A) Puede verificarlos si se activa keyCertSign en keyUsage

    B) Se trata como ancla de confianza por defecto

    C) No puede verificar firmas de certificados

    D) Solo puede verificar certificados del mismo emisor

  10. ¿Qué tres estados de un certificado puede devolver un respondedor OCSP?

    A) good, revoked y unknown

    B) valid, expired y suspended

    C) active, revoked y pending

    D) trusted, untrusted y expired

  11. En una CRL, ¿cómo se identifica cada certificado revocado?

    A) Por su clave pública

    B) Por su número de serie

    C) Por el nombre común del titular

    D) Por el resumen SHA-1 del documento firmado

  12. Para sellar en el tiempo un documento confidencial con una TSA (RFC 3161), ¿qué se envía en la petición?

    A) El documento completo, cifrado con la clave pública de la TSA

    B) El documento y su firma, para que la TSA los almacene y custodie

    C) El certificado del firmante, para que la TSA compruebe si está revocado

    D) Solo el resumen (hash) del documento, en messageImprint

  13. ¿Qué tamaño de bloque usa AES con una clave de 256 bits?

    A) 64 bits, como en DES

    B) 256 bits, igual que la clave

    C) 128 bits

    D) 192 bits, tamaño intermedio

  14. Según el Anexo II del ENS, ¿en qué nivel se aplica la medida mp.info.4, sellos de tiempo?

    A) Solo en el nivel ALTO

    B) Desde el nivel BAJO

    C) Desde el nivel MEDIO

    D) En ninguno, es opcional

  15. Una aspirante con tarjeta sanitaria con chip pide un certificado nuevo a la FNMT para usar Fides. ¿Qué advierte el anexo VI de la convocatoria TI (DOG núm. 141/2025)?

    A) Que ambos certificados quedan válidos a la vez

    B) Que el nuevo certificado inhabilita el de la tarjeta

    C) Que la tarjeta deja de valer para la asistencia sanitaria

    D) Que el nuevo solo vale con un lector de tarjetas

Soluciones razonadas

  1. Respuesta: C. Ley 6/2020, art. 4.2: no será superior a cinco años.

  2. Respuesta: B. Ley 6/2020, art. 9.3.b: 1.500.000 euros, más 500.000 por cada tipo adicional de servicio; el sector público queda exceptuado.

  3. Respuesta: D. Ley 6/2020, art. 9.3.a: 15 años desde la extinción del certificado o la finalización del servicio.

  4. Respuesta: A. Ley 6/2020, art. 9.1.b: no puede almacenar ni copiar esos datos, salvo gestión en nombre del titular.

  5. Respuesta: B. Reglamento (UE) 910/2014, art. 25.2: efecto jurídico equivalente al de la firma manuscrita, sin ratificación ni sello de tiempo.

  6. Respuesta: C. Art. 3.12: avanzada, creada con dispositivo cualificado y basada en certificado cualificado. Las demás opciones contradicen el art. 26.

  7. Respuesta: A. El dispositivo cualificado es propio de la firma cualificada (art. 3.12), no de la avanzada.

  8. Respuesta: D. Ley 39/2015, art. 10.2.a). La firma «reconocida» (Ley 59/2003) está derogada; hoy se dice cualificada. Otros sistemas exigen registro previo (letra c).

  9. Respuesta: C. RFC 5280, 4.2.1.9 y 4.2.1.3: sin cA no verifica certificados, y keyCertSign no puede activarse sin cA.

  10. Respuesta: A. RFC 6960: good, revoked o unknown; este último significa que el respondedor no conoce el certificado.

  11. Respuesta: B. RFC 5280, apartado 3.3: la CRL, firmada por la CA, lista los certificados revocados por su número de serie.

  12. Respuesta: D. RFC 3161, 2.4: messageImprint contiene el hash del dato; la TSA no necesita conocer el contenido.

  13. Respuesta: C. RFC 3602, 2.4: bloques de 16 octetos (128 bits); lo que varía es la clave (2.2), no el bloque.

  14. Respuesta: A. RD 311/2022, Anexo II, mp.info.4 (dimensión T): no aplica en BAJO ni en MEDIO; aplica en ALTO.

  15. Respuesta: B. DOG 141/2025, anexo VI: solicitar un certificado nuevo inhabilita el que ya contiene la tarjeta.

Cómo corregir tu resultado

En las oposiciones del SERGAS cada error resta un cuarto de acierto y las respuestas en blanco no puntúan. Ejemplo: con 11 aciertos, 3 fallos y 1 en blanco tienes 11 - 3/4 = 10,25 aciertos netos de 15, que sobre 10 son 10,25 × 10 / 15 = 6,83. Con 9 aciertos y 6 fallos: 9 - 1,5 = 7,5 netos, es decir, 5,00 sobre 10.

Preguntas frecuentes

¿Sigue existiendo la firma electrónica reconocida?

La Ley 59/2003 está derogada y hoy se habla de firma cualificada (eIDAS, art. 3.12; Ley 39/2015, arts. 9 y 10).

¿Qué artículos de la Ley 6/2020 conviene repasar para este test?

Sobre todo el art. 4 (vigencia y caducidad de los certificados), el 5 (revocación y suspensión) y el 9 (obligaciones de los prestadores: 15 años de conservación y seguro mínimo de 1.500.000 euros).

¿Qué RFC técnicos aparecen en estas preguntas?

El RFC 5280 (perfil de certificados X.509 y CRL), el RFC 6960 (OCSP), el RFC 3161 (sellos de tiempo) y el RFC 3602 (AES en modo CBC).

Referencias

Sigue practicando en la preparación de Técnico de Sistemas TI, repasa la guía de PKI y certificados X.509 y practica más preguntas de esta materia en OpoSERGAS.